/*
  Licensed to the Apache Software Foundation (ASF) under one
  or more contributor license agreements.  See the NOTICE file
  distributed with this work for additional information
  regarding copyright ownership.  The ASF licenses this file
  to you under the Apache License, Version 2.0 (the
  "License"); you may not use this file except in compliance
  with the License.  You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing,
  software distributed under the License is distributed on an
  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  KIND, either express or implied.  See the License for the
  specific language governing permissions and limitations
  under the License.
 */

#import "CMISConstants.h"

// Properties

NSString * const kCMISPropertyObjectId = @"cmis:objectId";
NSString * const kCMISPropertyName = @"cmis:name";
NSString * const kCMISPropertyPath = @"cmis:path";
NSString * const kCMISPropertyCreatedBy = @"cmis:createdBy";
NSString * const kCMISPropertyCreationDate = @"cmis:creationDate";
NSString * const kCMISPropertyModifiedBy = @"cmis:lastModifiedBy";
NSString * const kCMISPropertyModificationDate = @"cmis:lastModificationDate";
NSString * const kCMISPropertyContentStreamId = @"cmis:contentStreamId";
NSString * const kCMISPropertyContentStreamFileName = @"cmis:contentStreamFileName";
NSString * const kCMISPropertyContentStreamLength = @"cmis:contentStreamLength";
NSString * const kCMISPropertyContentStreamMediaType = @"cmis:contentStreamMimeType";
NSString * const kCMISPropertyObjectTypeId = @"cmis:objectTypeId";
NSString * const kCMISPropertyVersionSeriesId = @"cmis:versionSeriesId";
NSString * const kCMISPropertyVersionLabel = @"cmis:versionLabel";
NSString * const kCMISPropertyIsLatestVersion = @"cmis:isLatestVersion";
NSString * const kCMISPropertyIsMajorVersion = @"cmis:isMajorVersion";
NSString * const kCMISPropertyIsLatestMajorVersion = @"cmis:isLatestMajorVersion";
NSString * const kCMISPropertyChangeToken = @"cmis:changeToken";
NSString * const kCMISPropertyBaseTypeId = @"cmis:baseTypeId";
NSString * const kCMISPropertyCheckinComment = @"cmis:checkinComment";
NSString * const kCMISPropertySecondaryObjectTypeIds = @"cmis:secondaryObjectTypeIds";
NSString * const kCMISPropertyDescription = @"cmis:description";


// Property values

NSString * const kCMISPropertyObjectTypeIdValueDocument = @"cmis:document";
NSString * const kCMISPropertyObjectTypeIdValueFolder = @"cmis:folder";

// Session cache keys

NSString * const kCMISSessionKeyWorkspaces = @"cmis_session_key_workspaces";

